local KazUserName = GetUnitName("player",true)
local localizedClass, englishClass, classIndex = UnitClass("player")
local KazAddonsFrame = CreateFrame("Frame", "KazAddonsFrame")
local success = C_ChatInfo.RegisterAddonMessagePrefix("KazAddons")
local success2 = C_ChatInfo.RegisterAddonMessagePrefix("KazGuildHas")
local success3 = C_ChatInfo.RegisterAddonMessagePrefix("KazKeys")
local success4 = C_ChatInfo.RegisterAddonMessagePrefix("KazAddonsVersion")
local success5 = C_ChatInfo.RegisterAddonMessagePrefix("KazLFG")
local ChoosenPackNr = 1
local KazAstralKeys = false
local KazAccepting = false
local AuctionValueTotal = 0
local AntalFundet = 0
local KazVersion = 1004
local KazStatus = false
local KazJob = "Alt"
local KazLFGBoxShowing = false
local KazLFG = {
{name = "none", status = false, class = "DEMONHUNTER", job = "Alt"},
}
local KazAddonsSettings = {
{SoundPackActive = true, ReadyCheck = true, GroupInvite = true, RaidWarning = true, MythEnd = true, MythStart = true, Death = true, EncEnd = true, ChoosenPack = true, Sound = "Dialog", Potions = true, FoodBuff = true},
{KazKeysActive = true},
{KazAuctionValueActive = true},
{KazLFGActive = true, x = 0, y = 0, alpha = 0.8, versioncheck = false, minimap = 0, loc = "CENTER"},
}
KazConsumeables = { 
-- POTS
{KazConsumed = "Potion of Unbridled Fury"},
{KazConsumed = "Potion of Empowered Proximity"},
{KazConsumed = "Potion of Focused Resolve"},
{KazConsumed = "Potion of Wild Mending"},
{KazConsumed = "Superior Battle Potion of Agility"},
{KazConsumed = "Superior Battle Potion of Intellect"},
{KazConsumed = "Superior Battle Potion of Stamina"},
{KazConsumed = "Superior Battle Potion of Strenght"},
-- FLASKS
{KazConsumed = "Greater Flask of the Currents"},
{KazConsumed = "Greater Flask of Endless Fathoms"},
{KazConsumed = "Greater Flask of the Undertow"},
{KazConsumed = "Greater Flask of the Vast Horizon"},
}

local ConfigSounds = {
	{ 
	name = "Disney", 
	ReadyCheck = [[Interface\AddOns\KazAddons\Sounds\ReadyCheckDisney.ogg]],
	Invite =  [[Interface\AddOns\KazAddons\Sounds\InviteDisney.ogg]], 
	RaidWarning = [[Interface\AddOns\KazAddons\Sounds\WarningDisney.ogg]], 
	CMEnd = [[Interface\AddOns\KazAddons\Sounds\CMDoneDisney.ogg]], 
	CMStart = [[Interface\AddOns\KazAddons\Sounds\CMStartDisney.ogg]], 
	PlayerDead = [[Interface\AddOns\KazAddons\Sounds\DeadDisney.ogg]],
	PlayerDeadtwo = [[Interface\AddOns\KazAddons\Sounds\DeadDisneytwo.ogg]],
	EncounterEND = [[Interface\AddOns\KazAddons\Sounds\EncounterEndDisney.ogg]],
	ConsumeUsed = [[Interface\AddOns\KazAddons\Sounds\ConsumeUsedDisney.ogg]],
	FoodBuff = [[Interface\AddOns\KazAddons\Sounds\FoodEatenDisney.ogg]],
	},
	{
	name = "Reality", 
	ReadyCheck = [[Interface\AddOns\KazAddons\Sounds\ReadyCheckDisney.ogg]],
	Invite =  [[Interface\AddOns\KazAddons\Sounds\InviteDisney.ogg]], 
	RaidWarning = [[Interface\AddOns\KazAddons\Sounds\WarningDisney.ogg]], 
	CMEnd = [[Interface\AddOns\KazAddons\Sounds\CMDoneDisney.ogg]], 
	CMStart = [[Interface\AddOns\KazAddons\Sounds\CMStartDisney.ogg]], 
	PlayerDead = [[Interface\AddOns\KazAddons\Sounds\DeadDisney.ogg]],
	PlayerDeadtwo = [[Interface\AddOns\KazAddons\Sounds\DeadDisneytwo.ogg]],
	EncounterEND = [[Interface\AddOns\KazAddons\Sounds\EncounterEndDisney.ogg]],
	ConsumeUsed = [[Interface\AddOns\KazAddons\Sounds\ConsumeUsedDisney.ogg]],
	FoodBuff = [[Interface\AddOns\KazAddons\Sounds\FoodEatenDisney.ogg]],
	}
	
}

local SoundIDs = {
	567478, -- READYCHECK
	567451, -- INVITE
	567397, -- RAIDWARNING
	--1125303, -- RAIDTAKEDOWN
}

KazAddonsFrame:RegisterEvent("ADDON_LOADED")
KazAddonsFrame:RegisterEvent("READY_CHECK")
KazAddonsFrame:RegisterEvent("PARTY_INVITE_REQUEST")
KazAddonsFrame:RegisterEvent("CHAT_MSG_RAID_WARNING")
KazAddonsFrame:RegisterEvent("CHALLENGE_MODE_START")
KazAddonsFrame:RegisterEvent("CHALLENGE_MODE_COMPLETED")
KazAddonsFrame:RegisterEvent("PLAYER_DEAD")
KazAddonsFrame:RegisterEvent("ENCOUNTER_END")
KazAddonsFrame:RegisterEvent("PLAYER_LOGOUT")
KazAddonsFrame:RegisterEvent("CHAT_MSG_ADDON")
KazAddonsFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
KazAddonsFrame:RegisterEvent("OWNED_AUCTIONS_UPDATED")


KazAddonsOptions = CreateFrame( "Frame", "KazAddonsOptions", UIParent )
KazAddonsOptions.name = "KazAddons"
InterfaceOptions_AddCategory(KazAddonsOptions)

function KazGetStatusColor(Statusen)
	if Statusen == true then
		return "|cffffffff"
	elseif Statusen == false then 
		return "|cff888888"
	end
end

function KazRunOptions()
KazAddonsOptions.outputtitle = KazAddonsOptions:CreateFontString("AIconfigoutputtitleFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.outputtitle:SetFont(GameFontNormal:GetFont(), 16, "OUTLINE")
KazAddonsOptions.outputtitle:SetPoint("TOPLEFT", KazAddonsOptions, 10, -10)
KazAddonsOptions.outputtitle:SetText("|cffffffff" .. "KazSoundPack" .. "|r")

KazAddonsOptions.SoundPackActive1 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive1:SetPoint("TOPLEFT", KazAddonsOptions, 10, -28)
KazAddonsOptions.SoundPackActive1:SetChecked(KazAddonsSettings[1].SoundPackActive)
KazAddonsOptions.SoundPackActive1:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive1title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive1title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive1title:SetPoint("LEFT", KazAddonsOptions.SoundPackActive1, 30, 0)
KazStatusColor = KazGetStatusColor(KazAddonsOptions.SoundPackActive1:GetChecked())
KazAddonsOptions.SoundPackActive1title:SetText(""..KazStatusColor.."KazSoundPack Module|r")

KazAddonsOptions.SoundPackActive9 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive9:SetPoint("TOPRIGHT", KazAddonsOptions, -20, -28)
KazAddonsOptions.SoundPackActive9:SetChecked(KazAddonsSettings[1].SoundPackActive)
KazAddonsOptions.SoundPackActive9:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive9title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive9title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive9title:SetPoint("RIGHT", KazAddonsOptions.SoundPackActive9, -30, 0)
KazAddonsOptions.SoundPackActive9title:SetText("|cffffffffPackage(Yes = Disney, No = Reality)|r")

KazAddonsOptions.SoundPackActiveNy1 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActiveNy1:SetPoint("TOPRIGHT", KazAddonsOptions, -20, -47)
KazAddonsOptions.SoundPackActiveNy1:SetChecked(KazAddonsSettings[1].FoodBuff)
KazAddonsOptions.SoundPackActiveNy1:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActiveNy1title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActiveNy1title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActiveNy1title:SetPoint("RIGHT", KazAddonsOptions.SoundPackActiveNy1, -30, 0)
KazAddonsOptions.SoundPackActiveNy1title:SetText("|cffffffffFoodBuff|r")

KazAddonsOptions.SoundPackActiveNy2 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActiveNy2:SetPoint("TOPLEFT", KazAddonsOptions, 10, -47)
KazAddonsOptions.SoundPackActiveNy2:SetChecked(KazAddonsSettings[1].Potions)
KazAddonsOptions.SoundPackActiveNy2:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActiveNy2title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActiveNy2title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActiveNy2title:SetPoint("LEFT", KazAddonsOptions.SoundPackActiveNy2, 30, 0)
KazAddonsOptions.SoundPackActiveNy2title:SetText("|cffffffffPotions&Flasks|r")

KazAddonsOptions.SoundPackActive2 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive2:SetPoint("TOPLEFT", KazAddonsOptions, 10, -66)
KazAddonsOptions.SoundPackActive2:SetChecked(KazAddonsSettings[1].ReadyCheck)
KazAddonsOptions.SoundPackActive2:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive2title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive2title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive2title:SetPoint("LEFT", KazAddonsOptions.SoundPackActive2, 30, 0)
KazAddonsOptions.SoundPackActive2title:SetText("|cffffffffReadyCheck|r")

KazAddonsOptions.SoundPackActive3 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive3:SetPoint("TOPLEFT", KazAddonsOptions, 10, -85)
KazAddonsOptions.SoundPackActive3:SetChecked(KazAddonsSettings[1].GroupInvite)
KazAddonsOptions.SoundPackActive3:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive3title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive3title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive3title:SetPoint("LEFT", KazAddonsOptions.SoundPackActive3, 30, 0)
KazAddonsOptions.SoundPackActive3title:SetText("|cffffffffGroupInvite|r")

KazAddonsOptions.SoundPackActive4 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive4:SetPoint("TOPLEFT", KazAddonsOptions, 10, -104)
KazAddonsOptions.SoundPackActive4:SetChecked(KazAddonsSettings[1].RaidWarning)
KazAddonsOptions.SoundPackActive4:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive4title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive4title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive4title:SetPoint("LEFT", KazAddonsOptions.SoundPackActive4, 30, 0)
KazAddonsOptions.SoundPackActive4title:SetText("|cffffffffRaidWarning|r")

KazAddonsOptions.SoundPackActive5 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive5:SetPoint("TOPLEFT", KazAddonsOptions, 10, -123)
KazAddonsOptions.SoundPackActive5:SetChecked(KazAddonsSettings[1].MythStart)
KazAddonsOptions.SoundPackActive5:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive5title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive5title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive5title:SetPoint("LEFT", KazAddonsOptions.SoundPackActive5, 30, 0)
KazAddonsOptions.SoundPackActive5title:SetText("|cffffffffMyth+ Start|r")

KazAddonsOptions.SoundPackActive6 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive6:SetPoint("TOPRIGHT", KazAddonsOptions, -20, -66)
KazAddonsOptions.SoundPackActive6:SetChecked(KazAddonsSettings[1].MythEnd)
KazAddonsOptions.SoundPackActive6:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive6title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive6title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive6title:SetPoint("RIGHT", KazAddonsOptions.SoundPackActive6, -30, 0)
KazAddonsOptions.SoundPackActive6title:SetText("|cffffffffMyth+ End|r")

KazAddonsOptions.SoundPackActive7 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive7:SetPoint("TOPRIGHT", KazAddonsOptions, -20, -85)
KazAddonsOptions.SoundPackActive7:SetChecked(KazAddonsSettings[1].Death)
KazAddonsOptions.SoundPackActive7:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive7title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive7title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive7title:SetPoint("RIGHT", KazAddonsOptions.SoundPackActive7, -30, 0)
KazAddonsOptions.SoundPackActive7title:SetText("|cffffffffDeath|r")

KazAddonsOptions.SoundPackActive8 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive8:SetPoint("TOPRIGHT", KazAddonsOptions, -20, -104)
KazAddonsOptions.SoundPackActive8:SetChecked(KazAddonsSettings[1].EncEnd)
KazAddonsOptions.SoundPackActive8:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive8title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive8title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive8title:SetPoint("RIGHT", KazAddonsOptions.SoundPackActive8, -30, 0)
KazAddonsOptions.SoundPackActive8title:SetText("|cffffffffEncounter End|r")

KazAddonsOptions.SoundPackActive10 = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.SoundPackActive10:SetPoint("TOPRIGHT", KazAddonsOptions, -20, -123)
KazAddonsOptions.SoundPackActive10:SetChecked(KazAddonsSettings[1].Sound)
KazAddonsOptions.SoundPackActive10:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.SoundPackActive10title = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.SoundPackActive10title:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.SoundPackActive10title:SetPoint("RIGHT", KazAddonsOptions.SoundPackActive10, -30, 0)
KazAddonsOptions.SoundPackActive10title:SetText("|cffffffffSound(Dialog/Master)|r")

KazAddonsOptions.outputtitle = KazAddonsOptions:CreateFontString("AIconfigoutputtitleFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.outputtitle:SetFont(GameFontNormal:GetFont(), 16, "OUTLINE")
KazAddonsOptions.outputtitle:SetPoint("TOPLEFT", KazAddonsOptions, 10, -161)
KazAddonsOptions.outputtitle:SetText("|cffffffff" .. "KazKeys" .. "|r")

KazAddonsOptions.KazKeysActive = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.KazKeysActive:SetPoint("TOPLEFT", KazAddonsOptions, 10, -179)
KazAddonsOptions.KazKeysActive:SetChecked(KazAddonsSettings[2].KazKeysActive)
KazAddonsOptions.KazKeysActive:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.KazKeysActivetitle = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.KazKeysActivetitle:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.KazKeysActivetitle:SetPoint("LEFT", KazAddonsOptions.KazKeysActive, 30, 0)
KazAddonsOptions.KazKeysActivetitle:SetText("|cffffffffKazKeys Module|r")

KazAddonsOptions.outputtitle = KazAddonsOptions:CreateFontString("AIconfigoutputtitleFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.outputtitle:SetFont(GameFontNormal:GetFont(), 16, "OUTLINE")
KazAddonsOptions.outputtitle:SetPoint("TOPLEFT", KazAddonsOptions, 10, -217)
KazAddonsOptions.outputtitle:SetText("|cffffffff" .. "KazAuctionValue" .. "|r")

KazAddonsOptions.KazAuctionValueActive = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.KazAuctionValueActive:SetPoint("TOPLEFT", KazAddonsOptions, 10, -235)
KazAddonsOptions.KazAuctionValueActive:SetChecked(KazAddonsSettings[3].KazAuctionValueActive)
KazAddonsOptions.KazAuctionValueActive:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.KazAuctionValueActivetitle = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.KazAuctionValueActivetitle:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.KazAuctionValueActivetitle:SetPoint("LEFT", KazAddonsOptions.KazAuctionValueActive, 30, 0)
KazAddonsOptions.KazAuctionValueActivetitle:SetText("|cffffffffKazAuctionValue Module|r")

KazAddonsOptions.outputtitle = KazAddonsOptions:CreateFontString("AIconfigoutputtitleFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.outputtitle:SetFont(GameFontNormal:GetFont(), 16, "OUTLINE")
KazAddonsOptions.outputtitle:SetPoint("TOPLEFT", KazAddonsOptions, 10, -273)
KazAddonsOptions.outputtitle:SetText("|cffffffff" .. "KazLFG" .. "|r")

KazAddonsOptions.KazLFGActive = CreateFrame("CheckButton", "AIenableButton", KazAddonsOptions, "InterfaceOptionsCheckButtonTemplate")
KazAddonsOptions.KazLFGActive:SetPoint("TOPLEFT", KazAddonsOptions, 10, -291)
KazAddonsOptions.KazLFGActive:SetChecked(KazAddonsSettings[4].KazLFGActive)
KazAddonsOptions.KazLFGActive:SetHitRectInsets(0, -200, 0, 0)
KazAddonsOptions.KazLFGActivetitle = KazAddonsOptions:CreateFontString("AIconfigEnableboxFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.KazLFGActivetitle:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.KazLFGActivetitle:SetPoint("LEFT", KazAddonsOptions.KazLFGActive, 30, 0)
KazAddonsOptions.KazLFGActivetitle:SetText("|cffffffffKazLFG Module|r")

KazAddonsOptions.outputtitle2 = KazAddonsOptions:CreateFontString("AIconfigoutputtitleFont", "ARTWORK", "GameFontNormal")
KazAddonsOptions.outputtitle2:SetFont(GameFontNormal:GetFont(), 12, "OUTLINE")
KazAddonsOptions.outputtitle2:SetPoint("TOPLEFT", KazAddonsOptions, 20, -329)
KazAddonsOptions.outputtitle2:SetText("|cffffffff" .. "KazLFG Alpha (0.0-1.0)" .. "|r")

KazAddonsOptions.outputbox = CreateFrame("EditBox", "AIoutputbox", KazAddonsOptions, "InputBoxTemplate")
KazAddonsOptions.outputbox:SetPoint("TOPLEFT", KazAddonsOptions, 20, -339)
KazAddonsOptions.outputbox:SetSize(50, 25)
KazAddonsOptions.outputbox:SetAutoFocus(false)
KazAddonsOptions.outputbox:SetMultiLine(false)
KazAddonsOptions.outputbox:SetText(tostring(KazAddonsSettings[4].alpha))
KazAddonsOptions.outputbox:SetCursorPosition(0)
KazAddonsOptions.outputbox:SetScript("OnEnterPressed", function(self) self:ClearFocus() end)

SettingsList = {
{SettingsName = KazAddonsOptions.SoundPackActive1},
{SettingsName = KazAddonsOptions.SoundPackActiveNy1},
{SettingsName = KazAddonsOptions.SoundPackActiveNy2},
{SettingsName = KazAddonsOptions.SoundPackActive2},
{SettingsName = KazAddonsOptions.SoundPackActive3},
{SettingsName = KazAddonsOptions.SoundPackActive4},
{SettingsName = KazAddonsOptions.SoundPackActive5},
{SettingsName = KazAddonsOptions.SoundPackActive6},
{SettingsName = KazAddonsOptions.SoundPackActive7},
{SettingsName = KazAddonsOptions.SoundPackActive8},
{SettingsName = KazAddonsOptions.SoundPackActive9},
{SettingsName = KazAddonsOptions.SoundPackActive10},
{SettingsName = KazAddonsOptions.KazKeysActive},
{SettingsName = KazAddonsOptions.KazAuctionValueActive},
{SettingsName = KazAddonsOptions.KazLFGActive},
{SettingsName = KazAddonsOptions.outputtitle2},
{SettingsName = KazAddonsOptions.outputbox},
}
UpdateTextKaz()
for i = 1,15 do
	SettingsList[i].SettingsName:SetScript("OnClick", function(self, button)
		UpdateTextKaz()
	end)
end
end

function UpdateTextKaz()
KazAddonsOptions.SoundPackActive1title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive1:GetChecked()).."KazSoundPack Module|r")
if KazAddonsOptions.SoundPackActive1:GetChecked() then
	for i = 2,12 do
		SettingsList[i].SettingsName:SetEnabled(enabledFlag)
		SettingsList[i].SettingsName:Enable()
	end
else
	for i = 2,12 do
		SettingsList[i].SettingsName:SetEnabled(enabledFlag)
		SettingsList[i].SettingsName:Disable()
	end
end
if KazAddonsOptions.KazLFGActive:GetChecked() then
	for i = 16,17 do
		SettingsList[i].SettingsName:Show()
	end
else
	for i = 16,17 do
		SettingsList[i].SettingsName:Hide()
	end
end
KazAddonsOptions.SoundPackActive2title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive2:GetChecked()).."ReadyCheck|r")
KazAddonsOptions.SoundPackActiveNy1title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActiveNy1:GetChecked()).."FoodBuff|r")
KazAddonsOptions.SoundPackActiveNy2title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActiveNy2:GetChecked()).."Potions&Flasks|r")
KazAddonsOptions.SoundPackActive3title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive3:GetChecked()).."GroupInvite|r")
KazAddonsOptions.SoundPackActive4title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive4:GetChecked()).."RaidWarning|r")
KazAddonsOptions.SoundPackActive5title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive5:GetChecked()).."Myth+ Start|r")
KazAddonsOptions.SoundPackActive6title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive6:GetChecked()).."Myth+ End|r")
KazAddonsOptions.SoundPackActive7title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive7:GetChecked()).."Death|r")
KazAddonsOptions.SoundPackActive8title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive8:GetChecked()).."Encounter End|r")
KazAddonsOptions.SoundPackActive9title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive9:GetChecked()).."Package(Yes = Disney, No = Reality)|r")
KazAddonsOptions.SoundPackActive10title:SetText(""..KazGetStatusColor(KazAddonsOptions.SoundPackActive10:GetChecked()).."Sound(Dialog/Master)|r")
KazAddonsOptions.KazKeysActivetitle:SetText(""..KazGetStatusColor(KazAddonsOptions.KazKeysActive:GetChecked()).."KazKeys Module|r")
KazAddonsOptions.KazAuctionValueActivetitle:SetText(""..KazGetStatusColor(KazAddonsOptions.KazAuctionValueActive:GetChecked()).."KazAuctionValue Module|r")
KazAddonsOptions.KazLFGActivetitle:SetText(""..KazGetStatusColor(KazAddonsOptions.KazLFGActive:GetChecked()).."KazLFG Module|r")
end

function KazAddonsOptions.okay()
	KazAddonsSettings[1].SoundPackActive = KazAddonsOptions.SoundPackActive1:GetChecked()
	KazAddonsSettings[1].FoodBuff = KazAddonsOptions.SoundPackActiveNy1:GetChecked()
	KazAddonsSettings[1].Potions = KazAddonsOptions.SoundPackActiveNy2:GetChecked()
	KazAddonsSettings[1].ReadyCheck = KazAddonsOptions.SoundPackActive2:GetChecked()
	KazAddonsSettings[1].GroupInvite = KazAddonsOptions.SoundPackActive3:GetChecked()
	KazAddonsSettings[1].RaidWarning = KazAddonsOptions.SoundPackActive4:GetChecked()
	KazAddonsSettings[1].MythStart = KazAddonsOptions.SoundPackActive5:GetChecked()
	KazAddonsSettings[1].MythEnd = KazAddonsOptions.SoundPackActive6:GetChecked()
	KazAddonsSettings[1].Death = KazAddonsOptions.SoundPackActive7:GetChecked()
	KazAddonsSettings[1].EncEnd = KazAddonsOptions.SoundPackActive8:GetChecked()
	KazAddonsSettings[1].ChoosenPack = KazAddonsOptions.SoundPackActive9:GetChecked()
	KazAddonsSettings[2].KazKeysActive = KazAddonsOptions.KazKeysActive:GetChecked()
	KazAddonsSettings[3].KazAuctionValueActive = KazAddonsOptions.KazAuctionValueActive:GetChecked()
	if KazAddonsOptions.SoundPackActive10:GetChecked() == true then 
		KazAddonsSettings[1].Sound = "Dialog"
	elseif KazAddonsOptions.SoundPackActive10:GetChecked() == false then 
		KazAddonsSettings[1].Sound = "Master"
	end
	if KazAddonsSettings[1].ChoosenPack == true then 
		ChoosenPackNr = 1
	else
		ChoosenPackNr = 2
	end
	KazAddonsSettings[4].KazLFGActive = KazAddonsOptions.KazLFGActive:GetChecked()
	KazCorAnswer1 = IsItNumber(tonumber(KazAddonsOptions.outputbox:GetText()),"true")
	if KazCorAnswer1 == true then 
		KazAddonsSettings[4].alpha = KazAddonsOptions.outputbox:GetText()
	else
		KazAddonsSettings[4].alpha = 0.8
	end
	if myIconPos ~= nil then 
		KazAddonsSettings[4].minimap = myIconPos
	end
end

function IsItNumber(n, alpha)
  if alpha ~= nil and alpha == "true" then 
	AlphaTest = type(n) 
	if AlphaTest == "number" then 
		return true
	else
		return false
	end
  else
    return (type(n) == "number") and (math.floor(n) == n)
  end
end

function KazAddonsOptions.cancel()
KazAddonsSettings = KazAddonsSettings
end

KazAddonsFrame:SetScript("OnEvent", function(self, event, one, two, three, four, five, ...)
	if event == "ADDON_LOADED" then
		if one == "KazAddons" then
			if KazAddonsSettingsSave ~= nil then 
				if KazAddonsSettingsSave[4].versioncheck ~= "Luls3" then
					KazAddonsSettingsSave[4].KazLFGActive = true
					KazAddonsSettingsSave[4].x = 0
					KazAddonsSettingsSave[4].y = 0
					KazAddonsSettingsSave[4].loc = "CENTER"
					KazAddonsSettingsSave[4].alpha = 0.8
					KazAddonsSettingsSave[4].minimap = 0
					KazAddonsSettingsSave[4].versioncheck = "Luls3"
				end
				if KazAddonsSettingsSave[1].Potions == nil then 
					KazAddonsSettingsSave[1].FoodBuff = true
					KazAddonsSettingsSave[1].Potions = true
				end
				KazAddonsSettings = KazAddonsSettingsSave
			end
			KazRunOptions()
			if KazAddonsSettings[1].SoundPackActive == true then 
				KazMuteSounds()
			end
			if KazAddonsSettings[1].ChoosenPack == true then 
				ChoosenPackNr = 1
			else
				ChoosenPackNr = 2
			end
			if KazAddonsSettings[4].KazLFGActive == true then 
				C_ChatInfo.SendAddonMessage("KazLFG","Update","GUILD")
			end
			C_ChatInfo.SendAddonMessage("KazAddonsVersion",tostring(KazVersion),"PARTY")
			C_ChatInfo.SendAddonMessage("KazAddonsVersion",tostring(KazVersion),"GUILD")
		elseif one == "AstralKeys" then
			KazAstralKeys = true
		end
	elseif event == "READY_CHECK" then
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].ReadyCheck == true then 
				PlaySoundFile(ConfigSounds[ChoosenPackNr].ReadyCheck, KazAddonsSettings[1].Sound)
			end
		end
	elseif event == "PARTY_INVITE_REQUEST" then
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].GroupInvite == true then 
				PlaySoundFile(ConfigSounds[ChoosenPackNr].Invite, KazAddonsSettings[1].Sound)
			end
		end
	elseif event == "CHAT_MSG_RAID_WARNING" then
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].RaidWarning == true then 
				PlaySoundFile(ConfigSounds[ChoosenPackNr].RaidWarning, KazAddonsSettings[1].Sound)
			end
		end
	elseif event == "CHALLENGE_MODE_START" then
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].MythStart == true then 
				PlaySoundFile(ConfigSounds[ChoosenPackNr].CMStart, KazAddonsSettings[1].Sound)
			end
		end
	elseif event == "CHALLENGE_MODE_COMPLETED" then 
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].MythEnd == true then 
				PlaySoundFile(ConfigSounds[ChoosenPackNr].CMEnd, KazAddonsSettings[1].Sound)
			end
		end
	elseif event == "PLAYER_DEAD" then
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].Death == true then 
				local KazRandom = math.random(1,2)
				if KazRandom == 1 then 
					PlaySoundFile(ConfigSounds[ChoosenPackNr].PlayerDead, KazAddonsSettings[1].Sound)
				elseif KazRandom == 2 then 
					PlaySoundFile(ConfigSounds[ChoosenPackNr].PlayerDeadtwo, KazAddonsSettings[1].Sound)
				end
			end
		end
	elseif event == "ENCOUNTER_END" then
		if KazAddonsSettings[1].SoundPackActive == true then 
			if KazAddonsSettings[1].EncEnd == true then 
				if five == 1 then 
					PlaySoundFile(ConfigSounds[ChoosenPackNr].EncounterEND, KazAddonsSettings[1].Sound)
				end
			end
		end
	elseif event == "PLAYER_LOGOUT" then
		KazStatus = false
		C_ChatInfo.SendAddonMessage("KazLFG",""..tostring(KazStatus).."#"..englishClass.."","GUILD")
		KazAddonsSettingsSave = KazAddonsSettings
	elseif event == "CHAT_MSG_ADDON" then 
		if one == "KazAddons" then 
			if KazAddonsSettings[2].KazKeysActive == true then  
				if two == "SendKeysPleaseGUILD" then
					local weeklyBest = "None"
					local mapID = C_MythicPlus.GetOwnedKeystoneChallengeMapID()
					local keyLevel = C_MythicPlus.GetOwnedKeystoneLevel()
					local weeklyBest = tostring(C_MythicPlus.GetWeeklyChestRewardLevel())
					local KeyLink = KazKeysCreateLink(mapID, keyLevel)
					if weeklyBest == "" or weeklyBest == nil then
						weeklyBest = "0"
					end
					C_ChatInfo.SendAddonMessage("KazGuildHas",""..KazUserName.."#"..weeklyBest.." "..KeyLink.."","GUILD")
				elseif two == "SendKeysPleasePARTY" then
					if KazAstralKeys == false then
						if UnitLevel("player") >= 120 then 
							local weeklyBest = "None"
							local mapID = C_MythicPlus.GetOwnedKeystoneChallengeMapID()
							local keyLevel = C_MythicPlus.GetOwnedKeystoneLevel()
							local weeklyBest = tostring(C_MythicPlus.GetWeeklyChestRewardLevel())
							local KeyLink = KazKeysCreateLink(mapID, keyLevel)
								if weeklyBest == "" or weeklyBest == nil then
									weeklyBest = "0"
								end
							SendChatMessage(""..KeyLink.."#"..weeklyBest..".","PARTY")
							C_ChatInfo.SendAddonMessage("KazAddons","HaveAddonParty","PARTY")
						else
							C_ChatInfo.SendAddonMessage("KazAddons","HaveAddonParty","PARTY")
						end
					else
						C_ChatInfo.SendAddonMessage("KazAddons","HaveAddonParty","PARTY")
					end
				elseif two == "HaveAddonParty" then
					AntalFundet = AntalFundet+1
				end
			end
		elseif one == "KazGuildHas" then
			if KazAccepting == true then 
				print(two)
			end
		elseif one == "KazKeys" then
			if KazAddonsSettings[2].KazKeysActive == true then  
				local cmd = string.match(two, "<(.*)>") or "nomessage"
				local cmd2 = string.match(four, "(.*)-") or "nosender"
				if two == "SendKeysPlease" then 
					local weeklyBest = "None"
					local mapID = C_MythicPlus.GetOwnedKeystoneChallengeMapID()
					local keyLevel = C_MythicPlus.GetOwnedKeystoneLevel()
					local weeklyBest = tostring(C_MythicPlus.GetWeeklyChestRewardLevel())
					local KeyLink = KazKeysCreateLink(mapID, keyLevel)
					if weeklyBest == "" or weeklyBest == nil then
						weeklyBest = "0"
					end
					C_ChatInfo.SendAddonMessage("KazKeys","<"..cmd2..">"..KazUserName.."#"..weeklyBest.." "..KeyLink.."","GUILD")
					C_ChatInfo.SendAddonMessage("KazKeys","<"..cmd2..">I NEED TO UPDATE ADDON (Download KazAddons)","GUILD")
					print(""..four.."'s was using the old KazKeys and were told to update.")
				end
			end
		elseif one == "KazAddonsVersion" then 
			if tonumber(two) > KazVersion then 
				print("Someone has a newer KazAddons than you, Time to update!")
			end
		elseif one == "KazLFG" then 
			if KazAddonsSettings[4].KazLFGActive == true then 
				if two == "Update" then 
					C_ChatInfo.SendAddonMessage("KazLFG",""..tostring(KazStatus).."#"..englishClass.."¤"..KazJob.."","GUILD")
				else
					KazAfsender = string.match(four, "(.*)-")
					local InputFind = string.match(two, "(.*)#") or "false"
					local EfterFind = string.match(two, "#(.*)")
					local InputClass = string.match(EfterFind, "(.*)¤") or "WARRIOR"
					local InputJob = string.match(EfterFind, "¤(.*)") or "Alt"
					InputJobLenght = string.len(InputJob)
					if InputJobLenght > 0 and InputJobLenght < 6 then 
						InputJob = InputJob
					else
						InputJob = "Alt"
					end
					KazFoundInput = false
					if InputFind == "false" then
						KazInputModtaget = false
					elseif InputFind == "true" then 
						KazInputModtaget = true
					end
					for i = 1,#KazLFG do
						if KazLFG[i].name == KazAfsender then
							KazFoundInput = true
							KazLFG[i].name = KazAfsender
							KazLFG[i].status = KazInputModtaget
							KazLFG[i].class = InputClass
							KazLFG[i].job = InputJob
						end
					end
					if KazFoundInput == false then 
						if i ~= 1 then 
							KazLFG[#KazLFG+1] = {name = KazAfsender, status = KazInputModtaget, class = InputClass, job = InputJob}
						end
					end
					KazFoundInput = false
					if KazLFGBoxShowing then 
						KazLFGBox:Hide()
						KazLFGBox = nil
						KazLFGBox_Show()
					end					
				end
			end
		end
	elseif event == "OWNED_AUCTIONS_UPDATED" then
		if KazAddonsSettings[3].KazAuctionValueActive == true then 
			KazValueChecker()
		end
	elseif event == "COMBAT_LOG_EVENT_UNFILTERED" then
		local arg1, arg2, arg3,arg4,arg5,arg6,argNEW1,arg7,arg8,arg9,argNEW2,arg10,arg11,arg12,arg13,arg14, arg15 = CombatLogGetCurrentEventInfo()
		if arg5 == KazUserName and arg2 == "SPELL_CAST_SUCCESS" then
			if KazAddonsSettings[1].Potions == true then 
				for i = 1,#KazConsumeables do
					if KazConsumeables[i].KazConsumed == arg11 then
						PlaySoundFile(ConfigSounds[ChoosenPackNr].ConsumeUsed, KazAddonsSettings[1].Sound)
					end
				end
			end
		elseif arg5 == KazUserName and arg2 == "SPELL_AURA_APPLIED" then
			if KazAddonsSettings[1].FoodBuff == true then 
				if arg11 == "Well Fed" then
					PlaySoundFile(ConfigSounds[ChoosenPackNr].FoodBuff, KazAddonsSettings[1].Sound)
				end
			end
		end
	end	
end)

function KazMuteSounds()
   count = 0
   for _, soundID in pairs (SoundIDs) do
      MuteSoundFile(soundID)
   end
end

SLASH_KAZADDONS1 = '/keys'
SLASH_KAZADDONS2 = '/kaz'
function SlashCmdList.KAZADDONS(msg, editBox) 
	if KazAddonsSettings[2].KazKeysActive == true then  
		msgLower = string.lower(msg)
		local test2, test1, KazCommand, args = string.find(msgLower, "%s?(%w+)%s?(.*)")
		local _, _, KazCommand2, args2 = string.find(msg, "%s?(%w+)%s?(.*)")
		if KazCommand == "guild" then
			KazPartyAsked = false
			print("Fetching keys info... (Guild)")
			TellPeopleWait2(TimeStart)
			KazAccepting = true
			C_ChatInfo.SendAddonMessage("KazAddons","SendKeysPleaseGUILD","GUILD")
		elseif KazCommand == "party" then
			local grouptest = IsInGroup()
			if grouptest == true then 
				KazPartyAsked = true
				AntalFundet = 0
				TellPeopleWait(TimeStart)
				print("Getting KazKeys & AstralKeys (Party)")
				SendChatMessage("!keys","PARTY")
				C_ChatInfo.SendAddonMessage("KazAddons","SendKeysPleasePARTY","PARTY")
			else
				print("You're not in a group.")
			end
		elseif KazCommand == "test" then
			if KazUserName == "Kazoon" then 
			end
		elseif KazCommand == "list" then
			if KazAddonsSettings[4].KazLFGActive == true then
				if KazLFGBoxShowing == false then 
					KazLFGBox_Show()
				elseif KazLFGBoxShowing == true then
					KazLFGBox:Hide()
					KazLFGBox = nil
					KazLFGBoxShowing = false
				end
			end
		elseif KazCommand == "reset" then
			KazAddonsSettings[4].x = 0
			KazAddonsSettings[4].y = 0
			KazAddonsSettings[4].loc = "CENTER"
			print("Position has been reset")
		elseif KazCommand == "status" then
			if KazAddonsSettings[4].KazLFGActive == true then 
				KazStatus = not KazStatus
				InputJobLenght = string.len(args)
				if args ~= nil and InputJobLenght > 0 and InputJobLenght < 6 then 
					KazJob = args
				else
					if InputJobLenght > 5 then
						print("Status må max være 5 tegn")
					end
					KazJob = "Alt"
				end
				if KazStatus == true then 
					print("Du er nu listed i LFG")
					KazLFGBox_Show()
					C_ChatInfo.SendAddonMessage("KazLFG",""..tostring(KazStatus).."#"..englishClass.."¤"..KazJob.."","GUILD")
				else
					print("Du er nu Delisted")
					C_ChatInfo.SendAddonMessage("KazLFG",""..tostring(KazStatus).."#"..englishClass.."¤"..KazJob.."","GUILD")
				end
			end
		else
			print("Guild - Posts All guildies Keys")
			print("Party - Posts only parties Keys")
			print("Status - List/Delist you in LFG")
			print("List - Shows Available list")
			print("Reset - Resets LFG frame position")
			print("Commands are: /Kaz, /Keys -> And one of ^")
		end
	end
end


function TellPeople()
	local AmountPlayers = GetNumGroupMembers()
	if AntalFundet >= AmountPlayers then 
		if KazUserName == "Kazoon" then 
			print("All Players Had KazKeys!")
		end
		return
	else
		SendChatMessage("["..AmountPlayers-AntalFundet.." Player(s) without KazAddons Addon]","PARTY")
	end
end

function TellPeopleWait()
    C_Timer.After(3.0, TellPeople)
end

function TellPeopleWait2()
    C_Timer.After(3.0, TellPeople2)
end

function TellPeople2()
	KazAccepting = false
end

function KazKeysCreateLink(mapID, keyLevel)
	mapName = C_ChallengeMode.GetMapUIInfo(mapID)
	return string.format('|cffa335ee|Hkeystone:158923:%d:%d:%d:%d:%d:%d|h[Keystone: %s (%d)]|h|r', mapID, keyLevel, 0, 0, 0, 0, mapName, keyLevel):gsub('\124\124', '\124')
end

function KazValueChecker()
	if KazShownAmount == 1 then 
		KazShownAmount = 0
		TotalGold = 0
		local KazAmountAuctions = C_AuctionHouse.GetNumOwnedAuctions()
		for i = 1,KazAmountAuctions do
			KazAuctionInfo = C_AuctionHouse.GetOwnedAuctionInfo(i)
			KazIsSold = KazAuctionInfo.status
			KazQuantity = KazAuctionInfo.quantity
			KazBuyout = KazAuctionInfo.buyoutAmount	
			if KazIsSold == 0 then 
				KazPriceGold = ((KazBuyout*KazQuantity)/10000)
			elseif KazIsSold == 1 then 
				KazPriceGold = (KazBuyout/10000)
			end
			TotalGold = TotalGold+KazPriceGold
		end
		if TotalGold <= 0 then
			TotalGold = "|cffFF0000NoAuctions!"
		else
			TotalGold = tostring(round((TotalGold/1000),1)).."K"
		end
		print("|cffFF0000--------------------------------------------------")
		print("|cffFF0000|                                                 |")
		print("|cffFF0000|     |cff00FF00Value on AH: |cff00FF00"..TotalGold.."                |cffFF0000|")
		print("|cffFF0000|                                                 |")
		print("|cffFF0000--------------------------------------------------")
	else
		KazShownAmount = 1
	end
end

function round(num, numDecimalPlaces)
  local mult = 10^(numDecimalPlaces or 0)
  return math.floor(num * mult + 0.5) / mult
end

function KazLFGBox_Show()
	if KazAddonsSettings[4].KazLFGActive == true then 
		if not KazLFGBox then
			ButX = KazAddonsSettings[4].x
			ButY = KazAddonsSettings[4].y
			loc = KazAddonsSettings[4].loc
			if ButX ~= nil and ButY ~= nil and loc ~= nil then 
			else
				ButX = 0
				ButY = 0
				loc = "CENTER"
			end
			local f = CreateFrame("Frame", "KazLFGBox", UIParent)
			KazKnapAntal = 0
			for i = 1,#KazLFG do
				if KazLFG[i].status == true then 
					KazKnapAntal = KazKnapAntal+1
				end
			end
			f:SetPoint(loc, ButX, ButY)
			KazSizePoint = 35+KazKnapAntal*15
			f:SetSize(160,KazSizePoint)
			
			
			f:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
            edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
            tile = true, tileSize = 16, edgeSize = 16, 
            insets = { left = 4, right = 4, top = 4, bottom = 4 }});
			f:SetBackdropColor(0,0,0,1);
			f:SetAlpha(KazAddonsSettings[4].alpha)
			f:EnableMouse(true)
			f:SetMovable(true)
			f:RegisterForDrag("LeftButton")
			Drag = {}
			f:SetScript("OnMouseDown", function(self, ...)
				KazLFGBox:StartMoving()
				DragUpdatePosition()
			end);
			f:SetScript("OnMouseUp", function(self, ...)
				KazLFGBox:StopMovingOrSizing()
				DragUpdatePosition()
			end)
		end
		KazButtonCount = 0
		for k,v in pairs(KazLFG) do
			if v.status == true then
				KazButtonCount = KazButtonCount+1
				local button = CreateFrame("Button", nil, KazLFGBox)
				button:SetPoint("CENTER", KazLFGBox, "TOP", 0, 0-(KazButtonCount*15))
				button:SetWidth(100)
				button:SetHeight(10)
				button:SetAlpha(1)
				rPerc, gPerc, bPerc, argbHex = GetClassColor( v.class )
				ListMessage = "|c"..argbHex.."".. v.name .." - ".. v.job ..""
				button:SetText(ListMessage)
				button:SetNormalFontObject("GameFontNormal")
		
				local ntex = button:CreateTexture()
				ntex:SetTexture(nil)
				ntex:SetTexCoord(0, 0.625, 0, 0.6875)
				ntex:SetAllPoints()	
				button:SetNormalTexture(ntex)
		
				local htex = button:CreateTexture()
				htex:SetTexture(nil)
				htex:SetTexCoord(0, 0.625, 0, 0.6875)
				htex:SetAllPoints()
				button:SetHighlightTexture(htex)
				
				local ptex = button:CreateTexture()
				ptex:SetTexture(nil)
				ptex:SetTexCoord(0, 0.625, 0, 0.6875)
				ptex:SetAllPoints()
				button:SetPushedTexture(ptex)
				
				button:SetScript("OnClick", function (self, button, down)
					InviteUnit(v.name) 
				end)
			end
		end
		KazButtonCount = KazButtonCount+1
		local button = CreateFrame("Button", nil, KazLFGBox)
		button:SetPoint("CENTER", KazLFGBox, "TOP", -30, 0-(KazButtonCount*15))
		button:SetWidth(50)
		button:SetHeight(10)
		button:SetAlpha(1)
			
		rPerc, gPerc, bPerc, argbHex = GetClassColor("PRIEST")
		ListMessage = "|c"..argbHex.."[Update]"
		button:SetText(ListMessage)
		button:SetNormalFontObject("GameFontNormal")
		local ntex = button:CreateTexture()
		ntex:SetTexture(nil)
		ntex:SetTexCoord(0, 0.625, 0, 0.6875)
		ntex:SetAllPoints()	
		button:SetNormalTexture(ntex)
		local htex = button:CreateTexture()
		htex:SetTexture(nil)
		htex:SetTexCoord(0, 0.625, 0, 0.6875)
		htex:SetAllPoints()
		button:SetHighlightTexture(htex)
		local ptex = button:CreateTexture()
		ptex:SetTexture(nil)
		ptex:SetTexCoord(0, 0.625, 0, 0.6875)
		ptex:SetAllPoints()
		button:SetPushedTexture(ptex)
		button:SetScript("OnClick", function (self, button, down)
			for k,v in pairs(KazLFG) do
				v.status = false
			end
			C_ChatInfo.SendAddonMessage("KazLFG","Update","GUILD")
		end)
		
		local button = CreateFrame("Button", nil, KazLFGBox)
		button:SetPoint("CENTER", KazLFGBox, "TOP", 40, 0-(KazButtonCount*15))
		button:SetWidth(100)
		button:SetHeight(10)
		button:SetAlpha(1)
			
		rPerc, gPerc, bPerc, argbHex = GetClassColor("PRIEST")
		ListMessage = "|c"..argbHex.."[List]"
		button:SetText(ListMessage)
		button:SetNormalFontObject("GameFontNormal")
		local ntex = button:CreateTexture()
		ntex:SetTexture(nil)
		ntex:SetTexCoord(0, 0.625, 0, 0.6875)
		ntex:SetAllPoints()	
		button:SetNormalTexture(ntex)
		local htex = button:CreateTexture()
		htex:SetTexture(nil)
		htex:SetTexCoord(0, 0.625, 0, 0.6875)
		htex:SetAllPoints()
		button:SetHighlightTexture(htex)
		local ptex = button:CreateTexture()
		ptex:SetTexture(nil)
		ptex:SetTexCoord(0, 0.625, 0, 0.6875)
		ptex:SetAllPoints()
		button:SetPushedTexture(ptex)
		button:SetScript("OnClick", function (self, button, down)
			if KazAddonsSettings[4].KazLFGActive == true then 
				KazStatus = not KazStatus
				if KazStatus == true then 
					print("Du er nu listed i LFG")
					C_ChatInfo.SendAddonMessage("KazLFG",""..tostring(KazStatus).."#"..englishClass.."¤"..KazJob.."","GUILD")
				else
					print("Du er nu Delisted")
					C_ChatInfo.SendAddonMessage("KazLFG",""..tostring(KazStatus).."#"..englishClass.."¤"..KazJob.."","GUILD")
				end
			end
		end)
		KazLFGBox:Show()
		KazLFGBoxShowing = true
	end
end


local KazMiniButton = CreateFrame("Button", "MinimapFrame", Minimap)
KazMiniButton:SetFrameLevel(8)
KazMiniButton:SetSize(32,32)
KazMiniButton:SetMovable(true)
 
KazMiniButton:SetNormalTexture("Interface/MINIMAP/MiniMap-QuestArrow")
KazMiniButton:SetPushedTexture("Interface/MINIMAP/MiniMap-DeadArrow")
KazMiniButton:SetHighlightTexture("Interface/MINIMAP/MiniMap-DeadArrow")
local myIconPos = KazAddonsSettings[4].minimap
-- Control movement
local function UpdateMapBtn()
    local Xpoa, Ypoa = GetCursorPosition()
    local Xmin, Ymin = Minimap:GetLeft(), Minimap:GetBottom()
    Xpoa = Xmin - Xpoa / Minimap:GetEffectiveScale() + 70
    Ypoa = Ypoa / Minimap:GetEffectiveScale() - Ymin - 70
    myIconPos = math.deg(math.atan2(Ypoa, Xpoa))
	KazAddonsSettings[4].minimap = myIconPos
    KazMiniButton:ClearAllPoints()
    KazMiniButton:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 52 - (80 * cos(myIconPos)), (80 * sin(myIconPos)) - 52)
end
KazMiniButton:RegisterForClicks("AnyDown")
KazMiniButton:RegisterForDrag("LeftButton")
KazMiniButton:SetScript("OnDragStart", function()
    KazMiniButton:StartMoving()
    KazMiniButton:SetScript("OnUpdate", UpdateMapBtn)
end)


KazMiniButton:SetScript("OnEnter", function(self)
     GameTooltip:SetOwner(self, "ANCHOR_CURSOR")
     GameTooltip:AddLine("KazAddons")
	 GameTooltip:AddLine("Left: Shows/Hides List")
	 GameTooltip:AddLine("Right: Open options")
     GameTooltip:Show()
end)
 
KazMiniButton:SetScript("OnLeave", function() GameTooltip:Hide() end)

KazMiniButton:SetScript("OnDragStop", function()
    KazMiniButton:StopMovingOrSizing();
    KazMiniButton:SetScript("OnUpdate", nil)
    UpdateMapBtn();
end)
 
-- Set position
KazMiniButton:ClearAllPoints();
KazMiniButton:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 52 - (80 * cos(myIconPos)),(80 * sin(myIconPos)) - 52)
 
-- Control clicks

KazMiniButton:SetScript("OnClick", function(self, button)
	if button == "LeftButton" then 
		if KazAddonsSettings[4].KazLFGActive == true then
			if KazLFGBoxShowing == false then 
				for k,v in pairs(KazLFG) do
					v.status = false
				end
				C_ChatInfo.SendAddonMessage("KazLFG","Update","GUILD")
				KazLFGBox_Show()
			elseif KazLFGBoxShowing == true then
				KazLFGBox:Hide()
				KazLFGBox = nil
				KazLFGBoxShowing = false
			end
		end
	elseif button == "RightButton" then 
		InterfaceOptionsFrame_OpenToCategory("KazAddons")
		InterfaceOptionsFrame_OpenToCategory("KazAddons")
	end
end)

function DragUpdatePosition()
local Point, Anchor, RelativePoint, PosX, PosY = KazLFGBox:GetPoint()
KazAddonsSettings[4].x = PosX
KazAddonsSettings[4].y = PosY
KazAddonsSettings[4].loc = Point
end